Bug 439543 - kstars live-locks just after startup
kstars live-locks just after startup
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdeedu (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-28 21:22 EDT by Paul Dickson
Modified: 2009-06-07 19:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-07 19:17:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of kstars (2.78 MB) (2.66 MB, text/plain)
2008-04-14 16:32 EDT, Paul Dickson
no flags Details

  None (edit)
Description Paul Dickson 2008-03-28 21:22:32 EDT
Description of problem:
kstars live-locks just after startup.  Sometimes tips dialog does not star,
other times I can get in enough to set the time but it locks up after the dialog
finishes (setting the time to be displayed).

Live-lock:  freezes with 100% cpu usage.

Version-Release number of selected component (if applicable):
kdeedu-4.0.2-6.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1.launch kstars from menu or gnome terminal
2.
3.
  
Actual results:
Program within a couple of seconds of startup.

Expected results:
Program continues.

Additional info:
Comment 1 Rex Dieter 2008-03-28 22:25:06 EDT
worksforme.

What X hardware/driver are you using?
Comment 2 Paul Dickson 2008-03-28 22:53:18 EDT
running in GDB, a ^C gives:

0x0222c271 in QDashStroker::processCurrentSubpath () from /usr/lib/libQtGui.so.4

X hardware:
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
Processor to DRAM Controller (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML
Express Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express
Graphics Controller (rev 03)


What's the easier way of determining X drivers being used?
Comment 3 Andrew Farris 2008-04-14 05:22:12 EDT
grep Driver /etc/X11/xorg.conf, make sure you're not running vesa?
Also try strace or oprofile to gather info about where that cpu time is going.
(I can't run it so I cannot see whether it works for me, no 3d support at the
moment).
Comment 4 Rex Dieter 2008-04-14 07:45:22 EDT
fwiw, I cannot reproduce, works great here.  I almost always use kstars when 
demo'ing kde4.  :) 
Comment 5 Paul Dickson 2008-04-14 16:32:36 EDT
Created attachment 302386 [details]
strace of kstars (2.78 MB)

There's a long list of "Resource temporarily unavailable" just before it locks
up.

xine (from livna) gives me the same error, although it doesn't lockup, just no
video (audio only).
Comment 6 Kevin Kofler 2008-04-14 16:41:47 EDT
Looka like an X11 authentication problem: the first EAGAIN is a write to the 
X11 socket (@/tmp/.X11-unix/X0). That's during or shortly after authentication, 
so I guess X11 doesn't like the authentication cookie.
Comment 7 Paul Dickson 2008-04-15 06:30:05 EDT
For Comment #4:

grep Driver /etc/X11/xorg.conf
	Driver      "synaptics"
	Driver      "intel"
Comment 8 Bug Zapper 2008-05-14 04:23:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Adrian 2008-06-06 04:45:21 EDT
I have the same problem with kstars. The "Setup Wizard" comes up every time I
start kstars even though, just before it hangs, I can see my selected location
in the bottom left-hand corner of the main window. 

Section "Device"
        Identifier  "Videocard0"
        Driver      "openchrome"
EndSection
Comment 10 Steven M. Parrish 2008-06-23 16:18:43 EDT
Is this still an issue with KDE4 4.0.5?  If so you may wish to file an upstream
bug report at http://bugs.kde.org  then add the upstream info to this report. 
We will monitor upstream for a resolution
Comment 11 Wojciech Kazubski 2008-07-02 14:39:05 EDT
I also notice kstars crashes on two machines, 500MHz PIII laptop and 2,4GHz
Athlon both using KDE. If I do nothig, the program can work longer but if I try
to do something, zoom, move, or search anything, the crash is almost shure.
My kdeedu is the last update.
Comment 12 Steven M. Parrish 2008-09-28 18:10:28 EDT
Thanks for the report.  I checked upstream and could not find a matching bug.Please file a bug report in the the upstream bugzilla located at http://bugs.kde.org for the particular component involved.

Once you've filed your bug report to the upstream bugzilla, please add the upstream info to this report. We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.
Comment 13 Rex Dieter 2009-01-02 15:37:16 EST
Wojciech, your issue is something separate (crash vs lockup).

In the meantime, is this still reproducible with latest updates (kdeedu-4.1.3)?
Comment 14 Steven M. Parrish 2009-02-06 12:10:48 EST
Is this still an issue with 4.1.4 if so please report upstream.
Comment 15 Steven M. Parrish 2009-06-07 19:17:51 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

-- 
Steven M. Parrish - KDE Triage Master
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.